IT: OTS (China) -0000 #456

v4.0: Order detail - Step 2 (Niko)
02/11/2025 05:38 PM - Junyi Zhang

Status: aoo Start date: 05/16/2025
Priority: 00 Due date: 05/30/2025
Assignee: Junyi Zhang % Done: 100%
Category: Estimated time: 80.00 hours
Target version: v4.0 Spent time: 0.00 hour
Description
Background
1. New requirement for v4.0 OTS
See: OneDrive\l00000000000\Shanghai Group - IMIO0MoTS vall00
Task List
1. List the functions related to the order Detail No Function D/M R/W Done/To-D Others
o)
1 Display D/M R Done -
order detail
2 Upload/do  |D/M R/W 000#471 |-
wnload/rem
ove attach
files
3 Upload/do |D/M R/W 000#471 -
wnload/rem
ove product
proof
images
4 Edit order D/M W Done -
5 Add/Remov |D/M w Done -
e order
Task Details
1. 000000000000000
1. Product: l00admin0000Product X(ISpecial product)l0[
2. Option + option value: Olextra infoll + 0000
3. Size: Ilextra infoll + 0000
Questions:
v4 coding standard:
1. Gitll
#xxx(redmine number): xxx(redmine title) - xxx(DDDDDDD)
Il
2. 1000
2.1: [00Public -> Protected -> Private
2.2: (000000sBX
aa
3. MvcLvanallil
3.1: v3/valll00000000000 order.php, order_v3.php
3.2 systeml]ﬂDDDDDDDDDDDDuser_VS
- Note: frontll$this->userllvall000$this->customer, Dva4l0000$this->user
3.3: 000000van40000000new User_v3
I
4. 0000
tDwig, is, css (s, cssUO00000essO0M)

5. 0000
IE'/IVCL (LOenlcn)

6. 00
1.000

/**

* XXX
* @copyright RedBlue-0TS 2024

* @version v4
*

=
2.00000000 + DOOOO
/**
* @param xxx S$xXXX

* @param XXX S$XXX
* @return xxx

Output
® Report and Solution

Others

Subtasks:
(0000 # 471: v4.0: Order detail - Step 2 (Bruce) ooo

Related issues:
Copied from 0000 #443: v4.0: Order detail - Step 1 000 12/25/2024  02/14/2025

History

#1 - 02/11/2025 05:38 PM - Junyi Zhang
- Copied from 0000 #443: v4.0: Order detail - Step 1 added

#2 - 02/11/2025 05:41 PM - Junyi Zhang

Output(2025/07/28 - 2025/07/30), (2025/06/16 - 2025/06/18)0 (2025/06/11 - 2025/06/13),(2025/05/26 - 2025/05/30), (2025/05/21 - 2025/05/23),
(2025/05/12 - 2025/05/16), (2025/05/06 - 2025/05/09)0 (2025/04/28 - 2025/04/30):

DONE:

1. Functions:
1. View/Add/Edit order
2. Upload/download/remove/preview product proof image (00000 #471)
3. Upload/Download/remove/preview attach files. (10000 #471)
4.00 O0one drive (Shanghai Group - IINM\I00MoTS vaAIONMNIDOO00\OTS4.000000000_20250422.x1sx)
5. Order statusl[order terminated + order terminated] I manufacturer1000000 + 0000000manufacturer
6. D0product 00000stock product,llorder detaill000000000one drive:Shanghai Group - IINT\IDOMNOTS
vall0M\I00000voTs4.000000000 20250422.x1sx0
- DM/DONNDN/N stock product 10000000000000000000pMm/DO/DLANDN/A00
7. Validate check
- Product + product option required (except checkbox)
- Stock and regular products can not exist at the same time.
8. Order product U000 + 000000000
9. Order detail: product optionll required -l optional
10. Price summaryDDweight,ﬂﬂﬂﬂﬂﬂﬂﬂflagﬂ
11. 000000cwal0000product + optionl
https://redmine.easydingzhi.com/issues/471
https://redmine.easydingzhi.com/issues/471

12.0000000packingd00000pricelweight000000
13. Price & weight summaryll[lconfirmlresetl[]
- Confirm: DDDDDDDDDDpriceDweightDDDDDD
- Reset: D0pricellweight 00000000000

2. Optimizations:
1. Order detailll [0000expand/collapse sidebarl000000 + 000000 + order listDOOOD

TODO: 111 one drive excell Shanghai Group -0 0\IT\0000\OTS V4 000\10000000

1. Order detaill000000

#3 - 02/13/2025 04:03 PM - Xihua Fan
- Tracker changed from010 to0000

#4 - 03/13/2025 11:39 AM - Junyi Zhang
- Description updated

#5 - 03/13/2025 03:59 PM - Junyi Zhang
- Description updated

#6 - 04/24/2025 02:22 PM - Xihua Fan

- Due date changed from 04/30/2025 to 05/30/2025
- Status changed from 00 to0010

- Start date changed from 03/31/2025 to 04/21/2025

#7 - 04/24/2025 02:22 PM - Xihua Fan
- Due date changed from 05/30/2025 to 05/31/2025

#8 - 04/24/2025 03:24 PM - Xihua Fan

- Description updated

#9 - 04/26/2025 05:26 PM - Junyi Zhang

- Description updated

#10 - 05/06/2025 11:18 AM - Xihua Fan
- Due date changed from 05/31/2025 to 05/16/2025

#11 - 05/06/2025 11:20 AM - Junyi Zhang
- % Done changed from 0 to 20

#12 - 05/16/2025 11:00 AM - Xihua Fan
- Subject changed from v4.0: Order detail - 2 to v4.0: Order detail - 2 (Niko)

#13 - 06/20/2025 01:45 PM - Junyi Zhang

- Description updated

#14 - 06/24/2025 07:09 PM - Junyi Zhang

- Description updated

#15 - 06/24/2025 07:09 PM - Junyi Zhang
- Status changed from 000 to0010

#16 - 11/28/2025 02:43 PM - Xihua Fan
- Subject changed from v4.0: Order detail - 2 (Niko) to v4.0: Order detail - Step 2 (Niko)
